﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace TreeViewTest
{
    public class TreeViewDataSource
    {
        public TreeViewDataSource()
        {
            InitializeData();
        }

        public ObservableCollection<Organization> OrganizationsDataSource
        {
            get;
            set;
        }

        public void InitializeData()
        {
            this.OrganizationsDataSource = new ObservableCollection<Organization>();

            for (int j = 0; j < 5; j++)
            {
                Organization org = new Organization(String.Format("Organization {0}", j));

                for (int i = 0; i < 5; i++)
                {
                    org.Departments.Add(new Department(String.Format("Department {0}.{1}", j, i)));
                }
                OrganizationsDataSource.Add(org);
            }
        }
    }
}
